Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0RC2 generated on May 12 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.kernel
Interface JDBCFetchConfiguration

All Superinterfaces:
  Cloneable, EagerFetchModes, FetchConfiguration, JoinSyntaxes, LockLevels, LRSSizes, QueryFlushModes, Serializable

    public interface JDBCFetchConfiguration

extends FetchConfiguration, EagerFetchModes, LRSSizes, JoinSyntaxes

JDBC extensions to Kodo's `FetchConfiguration`.

Since:
  3.0

Field Summary

Fields inherited from interface kodo.kernel.FetchConfiguration
`DEFAULT, FETCH_GROUP_ALL`

Fields inherited from interface kodo.kernel.LockLevels
`LOCK_NONE, LOCK_READ, LOCK_WRITE`

Fields inherited from interface kodo.kernel.QueryFlushModes
`FLUSH_FALSE, FLUSH_TRUE, FLUSH_WITH_CONNECTION`

Fields inherited from interface kodo.jdbc.kernel.EagerFetchModes
`EAGER_JOIN, EAGER_NONE, EAGER_PARALLEL`

Fields inherited from interface kodo.jdbc.kernel.LRSSizes
`SIZE_LAST, SIZE_QUERY, SIZE_UNKNOWN`

Fields inherited from interface kodo.jdbc.sql.JoinSyntaxes
`SYNTAX_DATABASE, SYNTAX_SQL92, SYNTAX_TRADITIONAL`

Method Summary
`JDBCFetchConfiguration` | `addJoin(String field)` Adds `field` to the set of fully-qualified field names to eagerly join when loading objects.
`JDBCFetchConfiguration` | `addJoins(Collection fields)` Adds `fields` to the set of fully-qualified field names to eagerly join when loading objects.
`JDBCFetchConfiguration` | `clearJoins()` Clears the set of field names to join when loading data.
`int` | `getEagerFetchMode()` Return the eager fetch mode.
`int` | `getFetchDirection()` The fetch direction to use as a constant from `ResultSet`.
`String[]` | `getJoins()` Returns the names of the joins that this component will use when loading objects.
`int` | `getJoinSyntax()` The join syntax to use.
`int` | `getLRSSize()` The large result set size mode to use.
`int` | `getResultSetType()` The result set type to use as a constant from `ResultSet`.
`int` | `getSubclassFetchMode()` Return the subclass fetch mode.
`int` | `getSubclassFetchMode(ClassMapping cls)` Return the effective subclass fetch mode for the given type.
`boolean` | `hasJoin(String field)` Return true if the given fully-qualified join has been added.
`JDBCFetchConfiguration` | `removeJoin(String field)` Removes `field` to the set of fully-qualified field names to eagerly join when loading objects.
`JDBCFetchConfiguration` | `removeJoins(Collection fields)` Removes `fields` from the set of fully-qualified field names to eagerly join when loading objects.
`JDBCFetchConfiguration` | `setEagerFetchMode(int mode)` Set the eager fetch mode.
`JDBCFetchConfiguration` | `setFetchDirection(int direction)` The fetch direction to use as a constant from `ResultSet`.
`JDBCFetchConfiguration` | `setJoinSyntax(int syntax)` The join syntax to use.
`JDBCFetchConfiguration` | `setLRSSize(int lrsSize)` The large result set size mode to use.
`JDBCFetchConfiguration` | `setResultSetType(int type)` The result set type to use as a constant from `ResultSet`.
`JDBCFetchConfiguration` | `setSubclassFetchMode(int mode)` Set the subclass fetch mode.

Methods inherited from interface kodo.kernel.FetchConfiguration
`addFetchGroup, addFetchGroups, addField, addFields, clearFetchGroups, clearFields, clone, copy, getContext, getFetchBatchSize, getFetchGroups, getFields, getFlushBeforeQueries, getHint, getLockTimeout, getQueryCache, getReadLockLevel, getWriteLockLevel, hasFetchGroup, hasField, newResultList, removeFetchGroup, removeFetchGroups, removeField, removeFields, resetFetchGroups, setContext, setFetchBatchSize, setFlushBeforeQueries, setHint, setLockTimeout, setQueryCache, setReadLockLevel, setWriteLockLevel`

Method Detail

### getEagerFetchMode

    int getEagerFetchMode()

  Return the eager fetch mode. Defaults to the `kodo.jdbc.EagerFetchMode` setting.

### setEagerFetchMode

    JDBCFetchConfiguration setEagerFetchMode(int mode)

  Set the eager fetch mode. Defaults to the `kodo.jdbc.EagerFetchMode` setting.

### getSubclassFetchMode

    int getSubclassFetchMode()

  Return the subclass fetch mode. Defaults to the `kodo.jdbc.SubclassFetchMode` setting.

### getSubclassFetchMode

    int getSubclassFetchMode(ClassMapping cls)

  Return the effective subclass fetch mode for the given type.

### setSubclassFetchMode

    JDBCFetchConfiguration setSubclassFetchMode(int mode)

  Set the subclass fetch mode. Defaults to the `kodo.jdbc.SubclassFetchMode` setting.

### getResultSetType

    int getResultSetType()

  The result set type to use as a constant from `ResultSet`. Defaults to the `kodo.jdbc.ResultSetType` setting.

### setResultSetType

    JDBCFetchConfiguration setResultSetType(int type)

  The result set type to use as a constant from `ResultSet`. Defaults to the `kodo.jdbc.ResultSetType` setting.

### getFetchDirection

    int getFetchDirection()

  The fetch direction to use as a constant from `ResultSet`. Defaults to the `kodo.jdbc.FetchDirection` setting.

### setFetchDirection

    JDBCFetchConfiguration setFetchDirection(int direction)

  The fetch direction to use as a constant from `ResultSet`. Defaults to the `kodo.jdbc.FetchDirection` setting.

### getLRSSize

    int getLRSSize()

  The large result set size mode to use. Defaults to the `kodo.jdbc.LRSSize` setting.

### setLRSSize

    JDBCFetchConfiguration setLRSSize(int lrsSize)

  The large result set size mode to use. Defaults to the `kodo.jdbc.LRSSize` setting.

### getJoinSyntax

    int getJoinSyntax()

  The join syntax to use.

### setJoinSyntax

    JDBCFetchConfiguration setJoinSyntax(int syntax)

  The join syntax to use.

### getJoins

    String[] getJoins()

  Returns the names of the joins that this component will use when loading objects. Defaults to the empty set.

  Since:
    4.0.0

### hasJoin

    boolean hasJoin(String field)

  Return true if the given fully-qualified join has been added.

  Since:
    4.0.0

### addJoin

    JDBCFetchConfiguration addJoin(String field)

  Adds `field` to the set of fully-qualified field names to eagerly join when loading objects. Each class can have at most one to-many eagerly joined fields.

  Since:
    4.0.0

### addJoins

    JDBCFetchConfiguration addJoins(Collection fields)

  Adds `fields` to the set of fully-qualified field names to eagerly join when loading objects. Each class can have at most one to-many eagerly joined fields.

  Since:
    4.0.0

### removeJoin

    JDBCFetchConfiguration removeJoin(String field)

  Removes `field` to the set of fully-qualified field names to eagerly join when loading objects.

  Since:
    4.0.0

### removeJoins

    JDBCFetchConfiguration removeJoins(Collection fields)

  Removes `fields` from the set of fully-qualified field names to eagerly join when loading objects.

  Since:
    4.0.0

### clearJoins

    JDBCFetchConfiguration clearJoins()

  Clears the set of field names to join when loading data.

  Since:
    4.0.0

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0RC2 generated on May 12 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.